# Uses of Class
com.ngrok.definitions.EndpointSamlMutate

Packages that use EndpointSamlMutate
Package
Description
com.ngrok.definitions
com.ngrok.services

- ## Uses of EndpointSamlMutate in com.ngrok.definitions

  Methods in com.ngrok.definitions that return EndpointSamlMutate
  Modifier and Type
  Method
  Description
  `EndpointSamlMutate`
  EndpointSamlMutate.Builder.`build()`
  Constructs the `EndpointSamlMutate` instance.

- ## Uses of EndpointSamlMutate in com.ngrok.services

  Methods in com.ngrok.services with parameters of type EndpointSamlMutate
  Modifier and Type
  Method
  Description
  `EdgeRouteSamlModule.ReplaceCallBuilder`
  EdgeRouteSamlModule.ReplaceCallBuilder.`module(EndpointSamlMutate module)`
  Sets the `module` parameter.
  `EdgesHttpsRoutes.CreateCallBuilder`
  EdgesHttpsRoutes.CreateCallBuilder.`saml(EndpointSamlMutate saml)`
  saml module configuration or `null`
  `EdgesHttpsRoutes.UpdateCallBuilder`
  EdgesHttpsRoutes.UpdateCallBuilder.`saml(EndpointSamlMutate saml)`
  saml module configuration or `null`
  Method parameters in com.ngrok.services with type arguments of type EndpointSamlMutate
  Modifier and Type
  Method
  Description
  `EdgeRouteSamlModule.ReplaceCallBuilder`
  EdgeRouteSamlModule.ReplaceCallBuilder.`module(Optional<EndpointSamlMutate> module)`
  Sets (or unsets) the `module` parameter.
  `EdgesHttpsRoutes.CreateCallBuilder`
  EdgesHttpsRoutes.CreateCallBuilder.`saml(Optional<EndpointSamlMutate> saml)`
  saml module configuration or `null`
  `EdgesHttpsRoutes.UpdateCallBuilder`
  EdgesHttpsRoutes.UpdateCallBuilder.`saml(Optional<EndpointSamlMutate> saml)`
  saml module configuration or `null`